#!/bin/zsh

# Copyright 2014, 2015 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

. "${_EXEC}/templates/text_frame.sh"
[ -x "${_EXEC}/templates/text_${PAGE}.sh" ] && . "${_EXEC}/templates/text_${PAGE}.sh"

cat <<EOF
<!Doctype HTML>

<html>
  <head>
    <title>$(l10n p_${PAGE})</title>
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="?static=common.css">
    <style type="text/css">
    <!--
$(debug CSS; [ -x "${CSS}" ] && . "${CSS}")
    -->
    </style>
  </head>
  <body class="$PAGE">
    <div class="NAVIGATION">
      $(debug NAVIGATION = "$NAVIGATION"; for each in ${NAVIGATION}; do printf %s "<a href=\"?p=${each}\">$(l10n "p_${each}")</a>"; done)
    </div>
EOF

debug BODY; [ -x "${BODY}" ] && . "${BODY}" || printf %s 'Error'

printf '</body></html>'

# vi:set filetype=html:
